TiffIFD (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffIFD

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.IFD
          edu.harvard.hul.ois.jhove.module.tiff.TiffIFD

    public class TiffIFD

extends IFD

Encapsulation of standard TIFF IFD.

Field Summary
`static int` | `ARTIST` Standard TIFF 6.0 tags.
`static java.lang.String[]` | `BACKGROUNDCOLORINDICATOR_L`
`static int` | `BITSPERSAMPLE` Standard TIFF 6.0 tags.
`static int` | `CELLLENGTH` Standard TIFF 6.0 tags.
`static int` | `CELLWIDTH` Standard TIFF 6.0 tags.
`static java.lang.String[]` | `CFALAYOUT_L`
`static int` | `COLORMAP` Standard TIFF 6.0 tags.
`static int` | `COMPRESSION` Standard TIFF 6.0 tags.
`static int` | `COPYRIGHT` Standard TIFF 6.0 tags.
`static int` | `DATETIME` Standard TIFF 6.0 tags.
`static int` | `DOCUMENTNAME` Standard TIFF 6.0 tags.
`static int` | `DOTRANGE` Standard TIFF 6.0 tags.
`static int` | `EXTRASAMPLES` Standard TIFF 6.0 tags.
`static int` | `FILLORDER` Standard TIFF 6.0 tags.
`static int` | `FREEBYTECOUNTS` Standard TIFF 6.0 tags.
`static int` | `FREEOFFSETS` Standard TIFF 6.0 tags.
`static int` | `GEOGANGULARUNITSGEOKEY` GeoTIFF key values.
`static int` | `GEOGANGULARUNITSIZEGEOKEY` GeoTIFF key values.
`static int` | `GEOGAZIMUTHUNITSGEOKEY` GeoTIFF key values.
`static int` | `GEOGCITATIONGEOKEY` GeoTIFF key values.
`static int` | `GEOGELLIPSOIDGEOKEY` GeoTIFF key values.
`static int` | `GEOGGEODETICDATUMGEOKEY` GeoTIFF key values.
`static int` | `GEOGINVFLATTENINGGEOKEY` GeoTIFF key values.
`static int` | `GEOGLINEARUNITSGEOKEY` GeoTIFF key values.
`static int` | `GEOGLINEARUNITSIZEGEOKEY` GeoTIFF key values.
`static int` | `GEOGPRIMEMERIDIANGEOKEY` GeoTIFF key values.
`static int` | `GEOGPRIMEMERIDIANLONGGEOKEY` GeoTIFF key values.
`static int` | `GEOGRAPHICTYPEGEOKEY` GeoTIFF key values.
`static int` | `GEOGSEMIMAJORAXISGEOKEY` GeoTIFF key values.
`static int` | `GEOGSEMIMINORAXISGEOKEY` GeoTIFF key values.
`static int` | `GRAYRESPONSECURVE` Standard TIFF 6.0 tags.
`static int` | `GRAYRESPONSEUNIT` Standard TIFF 6.0 tags.
`static int` | `GTCITATIONGEOKEY` GeoTIFF key values.
`static int` | `GTMODELTYPEGEOKEY` GeoTIFF key values.
`static int` | `GTRASTERTYPEGEOKEY` GeoTIFF key values.
`static int` | `HALFTONEHINTS` Standard TIFF 6.0 tags.
`static java.lang.String[]` | `HCUSAGE_L`
`static int` | `HOSTCOMPUTER` Standard TIFF 6.0 tags.
`static java.lang.String[]` | `IMAGECOLORINDICATOR_L`
`static int` | `IMAGEDESCRIPTION` Standard TIFF 6.0 tags.
`static java.lang.String[]` | `IMAGELAYER_L`
`static int` | `IMAGELENGTH` Standard TIFF 6.0 tags.
`static int` | `IMAGEWIDTH` Standard TIFF 6.0 tags.
`static int` | `INKNAMES` Standard TIFF 6.0 tags.
`static int` | `INKSET` Standard TIFF 6.0 tags.
`static int` | `JPEGACTABLES` Standard TIFF 6.0 tags.
`static int` | `JPEGDCTABLES` Standard TIFF 6.0 tags.
`static int` | `JPEGINTERCHANGEFORMAT` Standard TIFF 6.0 tags.
`static int` | `JPEGINTERCHANGEFORMATLENGTH` Standard TIFF 6.0 tags.
`static int` | `JPEGLOSSLESSPREDICTORS` Standard TIFF 6.0 tags.
`static int` | `JPEGPOINTTRANSFORMS` Standard TIFF 6.0 tags.
`static int` | `JPEGPROC` Standard TIFF 6.0 tags.
`static int` | `JPEGQTABLES` Standard TIFF 6.0 tags.
`static int` | `JPEGRESTARTINTERVAL` Standard TIFF 6.0 tags.
`static int` | `MAKE` Standard TIFF 6.0 tags.
`static java.lang.String[]` | `MAKERNOTESAFETY_L`
`static int` | `MAXSAMPLEVALUE` Standard TIFF 6.0 tags.
`static int` | `MINSAMPLEVALUE` Standard TIFF 6.0 tags.
`static int` | `MODEL` Standard TIFF 6.0 tags.
`static int` | `NEWSUBFILETYPE` Standard TIFF 6.0 tags.
`static int` | `NUMBEROFINKS` Standard TIFF 6.0 tags.
`static int` | `ORIENTATION` Standard TIFF 6.0 tags.
`static int` | `PAGENAME` Standard TIFF 6.0 tags.
`static int` | `PAGENUMBER` Standard TIFF 6.0 tags.
`static int` | `PCSCITATIONGEOKEY` GeoTIFF key values.
`static int` | `PHOTOMETRICINTERPRETATION` Standard TIFF 6.0 tags.
`static int` | `PLANARCONFIGURATION` Standard TIFF 6.0 tags.
`static int` | `PREDICTOR` Standard TIFF 6.0 tags.
`static int` | `PRIMARYCHROMATICITIES` Standard TIFF 6.0 tags.
`static int` | `PROJAZIMUTHANGLEGEOKEY` GeoTIFF key values.
`static int` | `PROJCENTEREASTINGGEOKEY` GeoTIFF key values.
`static int` | `PROJCENTERLATGEOKEY` GeoTIFF key values.
`static int` | `PROJCENTERLONGGEOKEY` GeoTIFF key values.
`static int` | `PROJCOORDTRANSGEOKEY` GeoTIFF key values.
`static int` | `PROJECTEDCSTYPEGEOKEY` GeoTIFF key values.
`static int` | `PROJECTIONGEOKEY` GeoTIFF key values.
`static int` | `PROJFALSEEASTINGGEOKEY` GeoTIFF key values.
`static int` | `PROJFALSENORTHINGGEOKEY` GeoTIFF key values.
`static int` | `PROJFALSEORIGINEASTINGGEOKEY` GeoTIFF key values.
`static int` | `PROJFALSEORIGINLATGEOKEY` GeoTIFF key values.
`static int` | `PROJFALSEORIGINLONGGEOKEY` GeoTIFF key values.
`static int` | `PROJFALSEORIGINNORTHINGGEOKEY` GeoTIFF key values.
`static int` | `PROJFALSEORIGINNORTHINGGEOKEY_2` GeoTIFF key values.
`static int` | `PROJLINEARUNITSGEOKEY` GeoTIFF key values.
`static int` | `PROJLINEARUNITSIZEGEOKEY` GeoTIFF key values.
`static int` | `PROJNATORIGINLATGEOKEY` GeoTIFF key values.
`static int` | `PROJNATORIGINLONGGEOKEY` GeoTIFF key values.
`static int` | `PROJSCALEATCENTERGEOKEY` GeoTIFF key values.
`static int` | `PROJSCALEATNATORIGINGEOKEY` GeoTIFF key values.
`static int` | `PROJSTDPARALLEL1GEOKEY` GeoTIFF key values.
`static int` | `PROJSTDPARALLEL2GEOKEY` GeoTIFF key values.
`static int` | `PROJSTRAIGHTVERTPOLELONGEOKEY` GeoTIFF key values.
`static int` | `REFERENCEBLACKWHITE` Standard TIFF 6.0 tags.
`static int` | `RESOLUTIONUNIT` Standard TIFF 6.0 tags.
`static int` | `ROWSPERSTRIP` Standard TIFF 6.0 tags.
`static int` | `SAMPLEFORMAT` Standard TIFF 6.0 tags.
`static int` | `SAMPLESPERPIXEL` Standard TIFF 6.0 tags.
`static int` | `SMAXSAMPLEVALUE` Standard TIFF 6.0 tags.
`static int` | `SMINSAMPLEVALUE` Standard TIFF 6.0 tags.
`static int` | `SOFTWARE` Standard TIFF 6.0 tags.
`static int` | `STRIPBYTECOUNTS` Standard TIFF 6.0 tags.
`static int` | `STRIPOFFSETS` Standard TIFF 6.0 tags.
`static int` | `SUBFILETYPE` Standard TIFF 6.0 tags.
`static int` | `T4OPTIONS` Standard TIFF 6.0 tags.
`static int` | `T6OPTIONS` Standard TIFF 6.0 tags.
`static int` | `TARGETPRINTER` Standard TIFF 6.0 tags.
`static int` | `THRESHHOLDING` Standard TIFF 6.0 tags.
`static int` | `TILEBYTECOUNTS` Standard TIFF 6.0 tags.
`static int` | `TILELENGTH` Standard TIFF 6.0 tags.
`static int` | `TILEOFFSETS` Standard TIFF 6.0 tags.
`static int` | `TILEWIDTH` Standard TIFF 6.0 tags.
`static int` | `TRANSFERFUNCTION` Standard TIFF 6.0 tags.
`static int` | `TRANSFERRANGE` Standard TIFF 6.0 tags.
`static java.lang.String[]` | `TRANSPARENCYINDICATOR_L`
`static int` | `VERTICALCITATIONGEOKEY` GeoTIFF key values.
`static int` | `VERTICALCSTYPEGEOKEY` GeoTIFF key values.
`static int` | `VERTICALDATUMGEOKEY` GeoTIFF key values.
`static int` | `VERTICALUNITSGEOKEY` GeoTIFF key values.
`static int` | `WHITEPOINT` Standard TIFF 6.0 tags.
`static int` | `XPOSITION` Standard TIFF 6.0 tags.
`static int` | `XRESOLUTION` Standard TIFF 6.0 tags.
`static int` | `YCBCRCOEFFICIENTS` Standard TIFF 6.0 tags.
`static int` | `YCBCRPOSITIONING` Standard TIFF 6.0 tags.
`static int` | `YCBCRSUBSAMPLING` Standard TIFF 6.0 tags.
`static int` | `YPOSITION` Standard TIFF 6.0 tags.
`static int` | `YRESOLUTION` Standard TIFF 6.0 tags.

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`_bigEndian, _info, _next, _offset, _version, ASCII, BYTE, DOUBLE, EXIF, FLOAT, GLOBALPARAMETERS, GPSINFO, IFD, INTEROPERABILITY, LONG, NULL, RATIONAL, SBYTE, SHORT, SLONG, SRATIONAL, SSHORT, TIFF, TYPE, UNDEFINED`

Constructor Summary
`TiffIFD(long offset, RepInfo info, java.io.RandomAccessFile raf, boolean bigEndian)` Instantiate an `TiffIFD` object.

Method Summary
`int[]` | `getAnnotations()` Returns the value of the ANNOTATIONS (50255) tag.
`Rational` | `getAperatureValue()` Returns the value of the APERTUREVALUE (37378) tag.
`Rational[]` | `getAsShotNeutral()` Returns the value of the AsShotNeutral (50728) tag.
`Rational[]` | `getAsShotWhiteXY()` Returns the value of the AsShotWhiteXY (50729) tag.
`int` | `getBackgroundColorIndicator()` Returns the value of the TIFF/IT BACKGROUNDCOLORINDICATOR (34024) tag.
`int` | `getBackgroundColorValue()` Returns the value of the BACKGROUNDCOLORVALUE (34026) tag.
`java.lang.String` | `getBatteryLevel()` Returns the value of the BATTERYLEVEL (33423) tag.
`int` | `getBitsPerExtendedRunLength()` Returns the value of the BITSPEREXTENDEDRUNLENGTH (34021) tag.
`int` | `getBitsPerRunLength()` Returns the value of the BITSPERRUNLENGTH (34020) tag.
`int` | `getCellLength()` Returns the value of the CELLLENGTH (265) tag.
`int` | `getCellWidth()` Returns the value of the CELLWIDTH (264) tag.
`int[]` | `getCFAPattern()` Returns the value of the CFAPATTERN (33422) tag.
`int[]` | `getCFAPlaneColor()` Returns the value of the CFAPlaneColor (50710) tag.
`int[]` | `getCFARepeatPatternDim()` Returns the value of the CFAREPEATPATTERNDIM (33421) tag.
`int[]` | `getClipPath()` Returns the value of the CLIPPATH (343) tag.
`java.lang.String` | `getColorSequence()` Returns the value of the COLORSEQUENCE (34017) tag.
`int[]` | `getColorTable()` Returns the value of the COLORTABLE (34022) tag.
`Rational` | `getCompressedBitsPerPixel()` Returns the value of the COMPRESSEDBITSPERPIXEL (37122) tag.
`java.lang.String` | `getCopyright()` Returns the value of the COPYRIGHT (33432) tag.
`java.lang.String` | `getDateTime()` Returns the value of the DATETIME (306) tag.
`int[]` | `getDNGVersion()` Returns the value of the DNGVERSION (50706) tag.
`java.lang.String` | `getDocumentName()` Returns the value of the DOCUMENTNAME (269) tag.
`int[]` | `getDotRange()` Returns the value of the DOTRANGE (336) tag.
`long` | `getExifIFD()` Return the offset of the Exif IFD.
`int` | `getExposureProgram()` Returns the value of the EXPOSUREPROGRAM (34850) tag.
`int` | `getFillOrder()` Returns the value of the FILLORDER (266) tag.
`int` | `getFocalPlaneResolutionUnit()` Returns the value of the FOCALPLANERESOLUTIONUNIT (37392) tag.
`Rational` | `getFocalPlaneXResolution()` Returns the value of the FOCALPLANEXRESOLUTION (37390) tag.
`Rational` | `getFocalPlaneYResolution()` Returns the value of the FOCALPLANEYRESOLUTION (37390) tag.
`int[]` | `getGeoKeyDirectoryTag()` Returns the value of the GEOKEYDIRECTORYTAG (34735) tag.
`long` | `getGlobalParametersIFD()` Return the offset of the GlobalParameters IFD.
`long` | `getGPSInfoIFD()` Return the offset of the GPSInfo IFD.
`int` | `getImageColorIndicator()` Returns the value of the IMAGECOLORINDICATOR (34023) tag.
`int` | `getImageColorValue()` Returns the value of the IMAGECOLORVALUE (34025) tag.
`java.lang.String` | `getImageDescription()` Returns the value of the IMAGEDESCRIPTION (270) tag.
`java.lang.String` | `getImageHistory()` Returns the value of the IMAGEHISTORY (37395) tag.
`int[]` | `getImageLayer()` Returns the value of the IMAGELAYER (34732) tag.
`long` | `getImageNumber()` Returns the value of the IMAGENUMBER (37393) tag.
`int[]` | `getImageSourceData()` Returns the value of the IMAGESOURCEDATA (37724) tag.
`int` | `getIndexed()` Returns the value of the INDEXED (364) tag.
`java.lang.String[]` | `getInkNames()` Returns the value of the INKNAMES (333) tag.
`int` | `getInkSet()` Returns the value of the INKSET (332) tag.
`int[]` | `getInterColourProfile()` Returns the value of the ICC_PROFILE tag.
`int` | `getInterlace()` Returns the value of the INTERLACE (34857) tag.
`long` | `getInteroperabilityIFD()` Returns the offset of the Exif Interoperability IFD.
`long[]` | `getIPTCNAA()` Returns the value of the IPTCNAA (33723) tag.
`int[]` | `getISOSpeedRatings()` Returns the value of the ISOSPEEDRATINGS (34855) tag.
`java.lang.String` | `getIT8Header()` Returns the value of the IT8HEADER (34018) tag.
`long` | `getJpegInterchangeFormat()`
`int` | `getJPEGProc()` Returns the value of the JPEGPROC (512) tag.
`Rational` | `getMaxAperatureValue()` Returns the value of the MAXAPERTUREVALUE (37381) tag.
`double[]` | `getModelTiepointTag()` Returns the value of the MODELTIEPOINTTAG (33922) tag.
`double[]` | `getModelTransformationTag()` Returns the value of the MODELTRANSFORMATIONTAG (34264) tag.
`long` | `getNewSubfileType()` Returns the value of the NEWSUBFILETYPE (254) tag.
`NisoImageMetadata` | `getNisoImageMetadata()` Returns the constructed NisoImageMetadata.
`int[]` | `getNoise()` Returns the value of the NOISE (37389) tag.
`int` | `getNumberOfInks()` Returns the value of the NUMBEROFINKS (334) tag.
`int[]` | `getOECF()` Returns the value of the OECF (34856) tag.
`java.lang.String` | `getPageName()` Returns the value of the PAGENAME (285) tag.
`int[]` | `getPageNumber()` Returns the value of the PAGENUMBER (297) tag.
`int[]` | `getPhotoshopProperties()` Returns the value of the PHOTOSHOPPROPS (34377) tag.
`int[]` | `getPixelIntensityRange()` Returns the value of the PIXELINTENSITYRANGE (34027) tag.
`Property` | `getProperty(boolean rawOutput)` Get the IFD properties.
`int` | `getRasterPadding()` Returns the value of the RASTERPADDING (34019) tag.
`java.lang.String` | `getSecurityClasssification()` Returns the value of the SECURITYCLASSIFICATION (37394) tag.
`int` | `getSelfTimerMode()` Returns the value of the SELFTIMERMODE (34859) tag.
`Rational` | `getShutterSpeedValue()` Returns the value of the SHUTTERSPEEDVALUE (37377) tag.
`java.lang.String` | `getSite()` Returns the value of the SITE (34016) tag.
`int[]` | `getSpatialFrequencyResponse()` Returns the value of the SPATIALFREQUENCYRESPONSE (37388) tag.
`java.lang.String` | `getSpectralSensitivity()` Returns the value of the SPECTRALSENSITIVITY (34852) tag.
`long[]` | `getStripRowCounts()` Returns the value of the STRIPROWCOUNTS (559) tag.
`long[]` | `getSubIFDs()` Returns the value of the SUBIFDS (330) tag.
`int[]` | `getSubjectLocation()` Returns the value of the SUBJECTLOCATION (37396) tag.
`long` | `getT4Options()` Returns the value of the T4OPTIONS (292) tag.
`long` | `getT6Options()` Returns the value of the T6OPTIONS (293) tag.
`ExifIFD` | `getTheExifIFD()` Returns the Exif IFD object, or null if none.
`GlobalParametersIFD` | `getTheGlobalParametersIFD()` Returns the GlobalParameters IFD object, or null if none.
`GPSInfoIFD` | `getTheGPSInfoIFD()` Returns the GPS info IFD object, or null if none.
`InteroperabilityIFD` | `getTheInteroperabilityIFD()` Returns the Interoperability IFD object, or null if none.
`int` | `getThreshholding()` Returns the value of the THRESHHOLDING (263) tag.
`java.lang.String` | `getTIFFEPStandardID()` Returns the value of the TIFFEPSTANDARDID (37398) tag.
`int[]` | `getTimeZoneOffset()` Returns the value of the TIMEZONEOFFSET (34858) tag.
`int` | `getTransparencyIndicator()` Returns the value of the TRANSPARENCYINDICATOR (34028) tag.
`java.lang.String` | `getUniqueCameraModel()` Returns the value of the DNG UNIQUECAMERAMODEL (50708) tag.
`long` | `getXClipPathUnits()` Returns the value of the XCLIPPATHUNITS (344) tag.
`Rational` | `getXPosition()` Returns the value of the XPOSITION (286) tag.
`Rational` | `getYPosition()` Returns the value of the XPOSITION (287) tag.
`void` | `lookupTag(int tag, int type, long count, long value)` Looks up an IFD tag.
`protected void` | `postParseInitialization()` Perform initializations that have to wait until after the IFD has been parsed.
`void` | `setTheExifIFD(ExifIFD exif)`
`void` | `setTheGlobalParametersIFD(GlobalParametersIFD gp)`
`void` | `setTheGPSInfoIFD(GPSInfoIFD gpsInfo)`
`void` | `setTheInteroperabilityIFD(InteroperabilityIFD interOp)`

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`addBitmaskProperty, addIntegerArrayProperty, addIntegerProperty, addIntegerProperty, addRationalArrayProperty, addRationalProperty, average, calcValueSize, checkCount, checkType, checkType, getErrors, getNext, getOffset, getVersion, isBigEndian, isFirst, isThumbnail, parse, parse, parse, propertyHeader, readASCII, readASCIIArray, readByte, readByteArray, readDoubleArray, readLong, readLongArray, readRational, readRationalArray, readShort, readShortArray, readSignedRational, readSignedRationalArray, readSShortArray, readTrueByteArray, readUnsigned, setFirst, setThumbnail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEWSUBFILETYPE

    public static final int NEWSUBFILETYPE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### SUBFILETYPE

    public static final int SUBFILETYPE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### IMAGEWIDTH

    public static final int IMAGEWIDTH

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### IMAGELENGTH

    public static final int IMAGELENGTH

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### BITSPERSAMPLE

    public static final int BITSPERSAMPLE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### COMPRESSION

    public static final int COMPRESSION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### PHOTOMETRICINTERPRETATION

    public static final int PHOTOMETRICINTERPRETATION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### THRESHHOLDING

    public static final int THRESHHOLDING

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### CELLWIDTH

    public static final int CELLWIDTH

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### CELLLENGTH

    public static final int CELLLENGTH

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### FILLORDER

    public static final int FILLORDER

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### DOCUMENTNAME

    public static final int DOCUMENTNAME

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### IMAGEDESCRIPTION

    public static final int IMAGEDESCRIPTION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### MAKE

    public static final int MAKE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### MODEL

    public static final int MODEL

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### STRIPOFFSETS

    public static final int STRIPOFFSETS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### ORIENTATION

    public static final int ORIENTATION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### SAMPLESPERPIXEL

    public static final int SAMPLESPERPIXEL

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### ROWSPERSTRIP

    public static final int ROWSPERSTRIP

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### STRIPBYTECOUNTS

    public static final int STRIPBYTECOUNTS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### MINSAMPLEVALUE

    public static final int MINSAMPLEVALUE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### MAXSAMPLEVALUE

    public static final int MAXSAMPLEVALUE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### XRESOLUTION

    public static final int XRESOLUTION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### YRESOLUTION

    public static final int YRESOLUTION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### PLANARCONFIGURATION

    public static final int PLANARCONFIGURATION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### PAGENAME

    public static final int PAGENAME

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### XPOSITION

    public static final int XPOSITION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### YPOSITION

    public static final int YPOSITION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### FREEOFFSETS

    public static final int FREEOFFSETS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### FREEBYTECOUNTS

    public static final int FREEBYTECOUNTS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### GRAYRESPONSEUNIT

    public static final int GRAYRESPONSEUNIT

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### GRAYRESPONSECURVE

    public static final int GRAYRESPONSECURVE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### T4OPTIONS

    public static final int T4OPTIONS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### T6OPTIONS

    public static final int T6OPTIONS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### RESOLUTIONUNIT

    public static final int RESOLUTIONUNIT

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### PAGENUMBER

    public static final int PAGENUMBER

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### TRANSFERFUNCTION

    public static final int TRANSFERFUNCTION

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### SOFTWARE

    public static final int SOFTWARE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### DATETIME

    public static final int DATETIME

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### ARTIST

    public static final int ARTIST

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### HOSTCOMPUTER

    public static final int HOSTCOMPUTER

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### PREDICTOR

    public static final int PREDICTOR

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### WHITEPOINT

    public static final int WHITEPOINT

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### PRIMARYCHROMATICITIES

    public static final int PRIMARYCHROMATICITIES

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### COLORMAP

    public static final int COLORMAP

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### HALFTONEHINTS

    public static final int HALFTONEHINTS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### TILEWIDTH

    public static final int TILEWIDTH

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### TILELENGTH

    public static final int TILELENGTH

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### TILEOFFSETS

    public static final int TILEOFFSETS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### TILEBYTECOUNTS

    public static final int TILEBYTECOUNTS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### INKSET

    public static final int INKSET

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### INKNAMES

    public static final int INKNAMES

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### NUMBEROFINKS

    public static final int NUMBEROFINKS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### DOTRANGE

    public static final int DOTRANGE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### TARGETPRINTER

    public static final int TARGETPRINTER

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### EXTRASAMPLES

    public static final int EXTRASAMPLES

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### SAMPLEFORMAT

    public static final int SAMPLEFORMAT

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### SMINSAMPLEVALUE

    public static final int SMINSAMPLEVALUE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### SMAXSAMPLEVALUE

    public static final int SMAXSAMPLEVALUE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### TRANSFERRANGE

    public static final int TRANSFERRANGE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGPROC

    public static final int JPEGPROC

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGINTERCHANGEFORMAT

    public static final int JPEGINTERCHANGEFORMAT

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGINTERCHANGEFORMATLENGTH

    public static final int JPEGINTERCHANGEFORMATLENGTH

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGRESTARTINTERVAL

    public static final int JPEGRESTARTINTERVAL

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGLOSSLESSPREDICTORS

    public static final int JPEGLOSSLESSPREDICTORS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGPOINTTRANSFORMS

    public static final int JPEGPOINTTRANSFORMS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGQTABLES

    public static final int JPEGQTABLES

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGDCTABLES

    public static final int JPEGDCTABLES

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### JPEGACTABLES

    public static final int JPEGACTABLES

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### YCBCRCOEFFICIENTS

    public static final int YCBCRCOEFFICIENTS

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### YCBCRSUBSAMPLING

    public static final int YCBCRSUBSAMPLING

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### YCBCRPOSITIONING

    public static final int YCBCRPOSITIONING

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### REFERENCEBLACKWHITE

    public static final int REFERENCEBLACKWHITE

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### COPYRIGHT

    public static final int COPYRIGHT

  Standard TIFF 6.0 tags.

  See Also:
    Constant Field Values

### BACKGROUNDCOLORINDICATOR_L

    public static final java.lang.String[] BACKGROUNDCOLORINDICATOR_L

### HCUSAGE_L

    public static final java.lang.String[] HCUSAGE_L

### IMAGECOLORINDICATOR_L

    public static final java.lang.String[] IMAGECOLORINDICATOR_L

### TRANSPARENCYINDICATOR_L

    public static final java.lang.String[] TRANSPARENCYINDICATOR_L

### GTMODELTYPEGEOKEY

    public static final int GTMODELTYPEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GTRASTERTYPEGEOKEY

    public static final int GTRASTERTYPEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GTCITATIONGEOKEY

    public static final int GTCITATIONGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGRAPHICTYPEGEOKEY

    public static final int GEOGRAPHICTYPEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGCITATIONGEOKEY

    public static final int GEOGCITATIONGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGGEODETICDATUMGEOKEY

    public static final int GEOGGEODETICDATUMGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGPRIMEMERIDIANGEOKEY

    public static final int GEOGPRIMEMERIDIANGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGLINEARUNITSGEOKEY

    public static final int GEOGLINEARUNITSGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGLINEARUNITSIZEGEOKEY

    public static final int GEOGLINEARUNITSIZEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGANGULARUNITSGEOKEY

    public static final int GEOGANGULARUNITSGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGANGULARUNITSIZEGEOKEY

    public static final int GEOGANGULARUNITSIZEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGELLIPSOIDGEOKEY

    public static final int GEOGELLIPSOIDGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGSEMIMAJORAXISGEOKEY

    public static final int GEOGSEMIMAJORAXISGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGSEMIMINORAXISGEOKEY

    public static final int GEOGSEMIMINORAXISGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGINVFLATTENINGGEOKEY

    public static final int GEOGINVFLATTENINGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGAZIMUTHUNITSGEOKEY

    public static final int GEOGAZIMUTHUNITSGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### GEOGPRIMEMERIDIANLONGGEOKEY

    public static final int GEOGPRIMEMERIDIANLONGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJECTEDCSTYPEGEOKEY

    public static final int PROJECTEDCSTYPEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PCSCITATIONGEOKEY

    public static final int PCSCITATIONGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJECTIONGEOKEY

    public static final int PROJECTIONGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJCOORDTRANSGEOKEY

    public static final int PROJCOORDTRANSGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJLINEARUNITSGEOKEY

    public static final int PROJLINEARUNITSGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJLINEARUNITSIZEGEOKEY

    public static final int PROJLINEARUNITSIZEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJSTDPARALLEL1GEOKEY

    public static final int PROJSTDPARALLEL1GEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJSTDPARALLEL2GEOKEY

    public static final int PROJSTDPARALLEL2GEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJNATORIGINLONGGEOKEY

    public static final int PROJNATORIGINLONGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJNATORIGINLATGEOKEY

    public static final int PROJNATORIGINLATGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJFALSEEASTINGGEOKEY

    public static final int PROJFALSEEASTINGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJFALSENORTHINGGEOKEY

    public static final int PROJFALSENORTHINGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJFALSEORIGINLONGGEOKEY

    public static final int PROJFALSEORIGINLONGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJFALSEORIGINLATGEOKEY

    public static final int PROJFALSEORIGINLATGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJFALSEORIGINEASTINGGEOKEY

    public static final int PROJFALSEORIGINEASTINGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJFALSEORIGINNORTHINGGEOKEY

    public static final int PROJFALSEORIGINNORTHINGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJCENTERLONGGEOKEY

    public static final int PROJCENTERLONGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJCENTERLATGEOKEY

    public static final int PROJCENTERLATGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJCENTEREASTINGGEOKEY

    public static final int PROJCENTEREASTINGGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJFALSEORIGINNORTHINGGEOKEY_2

    public static final int PROJFALSEORIGINNORTHINGGEOKEY_2

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJSCALEATNATORIGINGEOKEY

    public static final int PROJSCALEATNATORIGINGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJSCALEATCENTERGEOKEY

    public static final int PROJSCALEATCENTERGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJAZIMUTHANGLEGEOKEY

    public static final int PROJAZIMUTHANGLEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### PROJSTRAIGHTVERTPOLELONGEOKEY

    public static final int PROJSTRAIGHTVERTPOLELONGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### VERTICALCSTYPEGEOKEY

    public static final int VERTICALCSTYPEGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### VERTICALCITATIONGEOKEY

    public static final int VERTICALCITATIONGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### VERTICALDATUMGEOKEY

    public static final int VERTICALDATUMGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### VERTICALUNITSGEOKEY

    public static final int VERTICALUNITSGEOKEY

  GeoTIFF key values.

  See Also:
    Constant Field Values

### IMAGELAYER_L

    public static final java.lang.String[] IMAGELAYER_L

### CFALAYOUT_L

    public static final java.lang.String[] CFALAYOUT_L

### MAKERNOTESAFETY_L

    public static final java.lang.String[] MAKERNOTESAFETY_L

Constructor Detail

### TiffIFD

    public TiffIFD(long offset,
                   RepInfo info,
                   java.io.RandomAccessFile raf,
                   boolean bigEndian)

  Instantiate an `TiffIFD` object.

  Parameters:
    `offset` - IFD offset
    `info` - The RepInfo object
    `raf` - TIFF file
    `bigEndian` - True if big-endian file

Method Detail

### getAperatureValue

    public Rational getAperatureValue()

  Returns the value of the APERTUREVALUE (37378) tag. Note typo in function name.

### getBackgroundColorIndicator

    public int getBackgroundColorIndicator()

  Returns the value of the TIFF/IT BACKGROUNDCOLORINDICATOR (34024) tag.

### getBackgroundColorValue

    public int getBackgroundColorValue()

  Returns the value of the BACKGROUNDCOLORVALUE (34026) tag.

### getBatteryLevel

    public java.lang.String getBatteryLevel()

  Returns the value of the BATTERYLEVEL (33423) tag.

### getBitsPerExtendedRunLength

    public int getBitsPerExtendedRunLength()

  Returns the value of the BITSPEREXTENDEDRUNLENGTH (34021) tag.

### getBitsPerRunLength

    public int getBitsPerRunLength()

  Returns the value of the BITSPERRUNLENGTH (34020) tag.

### getCellLength

    public int getCellLength()

  Returns the value of the CELLLENGTH (265) tag.

### getCellWidth

    public int getCellWidth()

  Returns the value of the CELLWIDTH (264) tag.

### getCFAPattern

    public int[] getCFAPattern()

  Returns the value of the CFAPATTERN (33422) tag.

### getCFARepeatPatternDim

    public int[] getCFARepeatPatternDim()

  Returns the value of the CFAREPEATPATTERNDIM (33421) tag.

### getClipPath

    public int[] getClipPath()

  Returns the value of the CLIPPATH (343) tag.

### getColorSequence

    public java.lang.String getColorSequence()

  Returns the value of the COLORSEQUENCE (34017) tag.

### getColorTable

    public int[] getColorTable()

  Returns the value of the COLORTABLE (34022) tag.

### getCompressedBitsPerPixel

    public Rational getCompressedBitsPerPixel()

  Returns the value of the COMPRESSEDBITSPERPIXEL (37122) tag.

### getCopyright

    public java.lang.String getCopyright()

  Returns the value of the COPYRIGHT (33432) tag.

### getDateTime

    public java.lang.String getDateTime()

  Returns the value of the DATETIME (306) tag.

### getDocumentName

    public java.lang.String getDocumentName()

  Returns the value of the DOCUMENTNAME (269) tag.

### getDotRange

    public int[] getDotRange()

  Returns the value of the DOTRANGE (336) tag.

### getExifIFD

    public long getExifIFD()

  Return the offset of the Exif IFD.

### getGlobalParametersIFD

    public long getGlobalParametersIFD()

  Return the offset of the GlobalParameters IFD.

### getExposureProgram

    public int getExposureProgram()

  Returns the value of the EXPOSUREPROGRAM (34850) tag.

### getFillOrder

    public int getFillOrder()

  Returns the value of the FILLORDER (266) tag.

### getFocalPlaneResolutionUnit

    public int getFocalPlaneResolutionUnit()

  Returns the value of the FOCALPLANERESOLUTIONUNIT (37392) tag.

### getFocalPlaneXResolution

    public Rational getFocalPlaneXResolution()

  Returns the value of the FOCALPLANEXRESOLUTION (37390) tag.

### getFocalPlaneYResolution

    public Rational getFocalPlaneYResolution()

  Returns the value of the FOCALPLANEYRESOLUTION (37390) tag.

### getGeoKeyDirectoryTag

    public int[] getGeoKeyDirectoryTag()

  Returns the value of the GEOKEYDIRECTORYTAG (34735) tag.

### getGPSInfoIFD

    public long getGPSInfoIFD()

  Return the offset of the GPSInfo IFD.

### getImageColorIndicator

    public int getImageColorIndicator()

  Returns the value of the IMAGECOLORINDICATOR (34023) tag.

### getImageColorValue

    public int getImageColorValue()

  Returns the value of the IMAGECOLORVALUE (34025) tag.

### getImageDescription

    public java.lang.String getImageDescription()

  Returns the value of the IMAGEDESCRIPTION (270) tag.

### getImageHistory

    public java.lang.String getImageHistory()

  Returns the value of the IMAGEHISTORY (37395) tag.

### getImageLayer

    public int[] getImageLayer()

  Returns the value of the IMAGELAYER (34732) tag.

### getImageNumber

    public long getImageNumber()

  Returns the value of the IMAGENUMBER (37393) tag.

### getImageSourceData

    public int[] getImageSourceData()

  Returns the value of the IMAGESOURCEDATA (37724) tag.

### getPhotoshopProperties

    public int[] getPhotoshopProperties()

  Returns the value of the PHOTOSHOPPROPS (34377) tag.

### getAnnotations

    public int[] getAnnotations()

  Returns the value of the ANNOTATIONS (50255) tag.

### getInkNames

    public java.lang.String[] getInkNames()

  Returns the value of the INKNAMES (333) tag.

### getInkSet

    public int getInkSet()

  Returns the value of the INKSET (332) tag.

### getInterlace

    public int getInterlace()

  Returns the value of the INTERLACE (34857) tag.

### getInteroperabilityIFD

    public long getInteroperabilityIFD()

  Returns the offset of the Exif Interoperability IFD.

### getInterColourProfile

    public int[] getInterColourProfile()

  Returns the value of the ICC_PROFILE tag.

### getIndexed

    public int getIndexed()

  Returns the value of the INDEXED (364) tag.

### getJpegInterchangeFormat

    public long getJpegInterchangeFormat()

### getIPTCNAA

    public long[] getIPTCNAA()

  Returns the value of the IPTCNAA (33723) tag.

### getISOSpeedRatings

    public int[] getISOSpeedRatings()

  Returns the value of the ISOSPEEDRATINGS (34855) tag.

### getIT8Header

    public java.lang.String getIT8Header()

  Returns the value of the IT8HEADER (34018) tag.

### getJPEGProc

    public int getJPEGProc()

  Returns the value of the JPEGPROC (512) tag.

### getMaxAperatureValue

    public Rational getMaxAperatureValue()

  Returns the value of the MAXAPERTUREVALUE (37381) tag. Note typo in function name.

### getModelTiepointTag

    public double[] getModelTiepointTag()

  Returns the value of the MODELTIEPOINTTAG (33922) tag.

### getModelTransformationTag

    public double[] getModelTransformationTag()

  Returns the value of the MODELTRANSFORMATIONTAG (34264) tag.

### getNewSubfileType

    public long getNewSubfileType()

  Returns the value of the NEWSUBFILETYPE (254) tag.

### getNisoImageMetadata

    public NisoImageMetadata getNisoImageMetadata()

  Returns the constructed NisoImageMetadata.

### getNoise

    public int[] getNoise()

  Returns the value of the NOISE (37389) tag.

### getNumberOfInks

    public int getNumberOfInks()

  Returns the value of the NUMBEROFINKS (334) tag.

### getOECF

    public int[] getOECF()

  Returns the value of the OECF (34856) tag.

### getPageName

    public java.lang.String getPageName()

  Returns the value of the PAGENAME (285) tag.

### getPageNumber

    public int[] getPageNumber()

  Returns the value of the PAGENUMBER (297) tag.

### getPixelIntensityRange

    public int[] getPixelIntensityRange()

  Returns the value of the PIXELINTENSITYRANGE (34027) tag.

### getRasterPadding

    public int getRasterPadding()

  Returns the value of the RASTERPADDING (34019) tag.

### getSecurityClasssification

    public java.lang.String getSecurityClasssification()

  Returns the value of the SECURITYCLASSIFICATION (37394) tag.

### getSelfTimerMode

    public int getSelfTimerMode()

  Returns the value of the SELFTIMERMODE (34859) tag.

### getShutterSpeedValue

    public Rational getShutterSpeedValue()

  Returns the value of the SHUTTERSPEEDVALUE (37377) tag.

### getSite

    public java.lang.String getSite()

  Returns the value of the SITE (34016) tag.

### getSpatialFrequencyResponse

    public int[] getSpatialFrequencyResponse()

  Returns the value of the SPATIALFREQUENCYRESPONSE (37388) tag.

### getSpectralSensitivity

    public java.lang.String getSpectralSensitivity()

  Returns the value of the SPECTRALSENSITIVITY (34852) tag.

### getStripRowCounts

    public long[] getStripRowCounts()

  Returns the value of the STRIPROWCOUNTS (559) tag.

### getSubIFDs

    public long[] getSubIFDs()

  Returns the value of the SUBIFDS (330) tag.

### getSubjectLocation

    public int[] getSubjectLocation()

  Returns the value of the SUBJECTLOCATION (37396) tag.

### getT4Options

    public long getT4Options()

  Returns the value of the T4OPTIONS (292) tag.

### getT6Options

    public long getT6Options()

  Returns the value of the T6OPTIONS (293) tag.

### getTheExifIFD

    public ExifIFD getTheExifIFD()

  Returns the Exif IFD object, or null if none.

### getTheGPSInfoIFD

    public GPSInfoIFD getTheGPSInfoIFD()

  Returns the GPS info IFD object, or null if none.

### getTheInteroperabilityIFD

    public InteroperabilityIFD getTheInteroperabilityIFD()

  Returns the Interoperability IFD object, or null if none.

### getTheGlobalParametersIFD

    public GlobalParametersIFD getTheGlobalParametersIFD()

  Returns the GlobalParameters IFD object, or null if none.

### getThreshholding

    public int getThreshholding()

  Returns the value of the THRESHHOLDING (263) tag.

### getTIFFEPStandardID

    public java.lang.String getTIFFEPStandardID()

  Returns the value of the TIFFEPSTANDARDID (37398) tag.

### getTimeZoneOffset

    public int[] getTimeZoneOffset()

  Returns the value of the TIMEZONEOFFSET (34858) tag.

### getTransparencyIndicator

    public int getTransparencyIndicator()

  Returns the value of the TRANSPARENCYINDICATOR (34028) tag.

### getXClipPathUnits

    public long getXClipPathUnits()

  Returns the value of the XCLIPPATHUNITS (344) tag.

### getXPosition

    public Rational getXPosition()

  Returns the value of the XPOSITION (286) tag.

### getYPosition

    public Rational getYPosition()

  Returns the value of the XPOSITION (287) tag.

### getDNGVersion

    public int[] getDNGVersion()

  Returns the value of the DNGVERSION (50706) tag.

### getUniqueCameraModel

    public java.lang.String getUniqueCameraModel()

  Returns the value of the DNG UNIQUECAMERAMODEL (50708) tag.

### getCFAPlaneColor

    public int[] getCFAPlaneColor()

  Returns the value of the CFAPlaneColor (50710) tag.

### getAsShotNeutral

    public Rational[] getAsShotNeutral()

  Returns the value of the AsShotNeutral (50728) tag.

### getAsShotWhiteXY

    public Rational[] getAsShotWhiteXY()

  Returns the value of the AsShotWhiteXY (50729) tag.

### getProperty

    public Property getProperty(boolean rawOutput)
                         throws TiffException

  Get the IFD properties.

  Specified by:
    `getProperty` in class `IFD`
  Throws:
    `TiffException`

### lookupTag

    public void lookupTag(int tag,
                          int type,
                          long count,
                          long value)
                   throws TiffException

  Looks up an IFD tag.

  Specified by:
    `lookupTag` in class `IFD`
  Throws:
    `TiffException`

### postParseInitialization

    protected void postParseInitialization()

  Perform initializations that have to wait until after the IFD has been parsed.

  Overrides:
    `postParseInitialization` in class `IFD`

### setTheExifIFD

    public void setTheExifIFD(ExifIFD exif)

### setTheGPSInfoIFD

    public void setTheGPSInfoIFD(GPSInfoIFD gpsInfo)

### setTheInteroperabilityIFD

    public void setTheInteroperabilityIFD(InteroperabilityIFD interOp)

### setTheGlobalParametersIFD

    public void setTheGlobalParametersIFD(GlobalParametersIFD gp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD